Require Import connectives.
Require Import leibniz.
Parameter nat : Type.
Parameter O : nat.
Parameter match_nat_type : forall (return_:Type), return_ -> (nat -> return_) -> nat -> return_.
Axiom axiom_match_nat_type_O : forall return_type, forall (case_O:return_type), forall (case_S:(nat -> return_type)), connectives.equal (return_type) (match_nat_type (return_type) case_O case_S O) case_O.
Definition eq_match_nat_type_O : forall return_type, forall (case_O:return_type), forall (case_S:(nat -> return_type)), leibniz.leibniz (return_type) (match_nat_type (return_type) case_O case_S O) case_O := fun (return_type:Type) => fun (case_O:return_type) => fun (case_S:nat -> return_type) => ((((connectives.equal_leibniz) (return_type)) (match_nat_type (return_type) case_O case_S O)) (case_O)) ((((axiom_match_nat_type_O) (return_type)) (case_O)) (case_S)).
